Subject: Re: Global-set-key

From: Ulrich Beyer <[email-masked]>
Date: Wed, 4 Sep 1996 15:22:17 +0200

TNX George and all the others 
  for providing some lessons in modern English to an old german computer
scientist.

But back to the main thread:
  I prefer inserting 'global-set-key's into my .emacs file the way I
described, although it seems to be 'a bit long-winded' to some of you. 

Look at this:

M-x glo<TAB>s<TAB><Return>			8 keystrokes
<up>						1 keystroke
prev<TAB>l<TAB>-n<TAB><Return>		11 keystroke
<C-x ESC ESC><S-Home><C-Insert><C-g>	6 keystroke
<S-insert>					1 keystroke
						=========
						27 keystrokes
	**Note: I use (pc-selection-mode)

Inserting 
	(global-set-key '[up] 'previous-line) 
directly into .emacs would take 43 keystrokes plus two keystrokes for C-x
C-e (eval-last-sexp) so that you don't have to restart emacs to put changes
into effect.
And this works only, if you *know* the name of the key symbol. My way only
implies that you know the position of the desired key on your keyboard, in
other words that you've got eyes and can see ;-)

Regards
=uli=
> /George V. Reilly   <[email-masked]>   <[email-masked]>
> MicroCrafts, Inc., 17371 NE 67th Ct #205, Redmond, WA 98052, USA.

Beeing some thousand miles away, I always imagined that Redmond, WA is only
populated by Microsoft ;-)